Bug 1260271 - Bad report :-( plasmashell freezes or kactivitymanaged?
Bad report :-( plasmashell freezes or kactivitymanaged?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 08:25 EDT by Martin Kho
Modified: 2016-12-20 09:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:35:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kho 2015-09-05 08:25:16 EDT
Description of problem:
This is a really bad report because I have no idea what causes plasmashell to freeze. Is it actually plasmashell or is it kactivitymanaged. In dmesg I see:

kactivitymanage[5179]: segfault at 7f8c6c3217d0 ip 00007f8c6c56a731 sp 00007ffea9810608 error 4 in libQt5Sql.so.5.5.0[7f8c6c556000+3f000]

But I doubt this has anything to do with the freezes I experience. The segfault happens even when plasmashell starts okay.

I've found a way to trigger the freezes and how to 'solve' them (mostly). See below.

Version-Release number of selected component (if applicable):
plasma-workspace-5.4.0-4.fc23.x86_64

kf5-kactivities-libs-5.13.0-1.fc23.x86_64
kactivities-libs-4.13.3-10.fc23.x86_64
kf5-kactivities-5.13.0-1.fc23.x86_64


How reproducible:
always

Steps to Reproduce:
1. login
2. open Regional Settings (systemssettings) - Formats
3. select Detailed Settings
4. change all settings ( country doen't matter)
5. logout as requested and login
6. plasmashell/panel/desktop right click menu (?) are 'frozen'
To restore a working desktop
1. Logout
2. open a virtual terminal (e.g. Ctrl-Alt-F2)
3. remove from ~/.config/plasma-localerc all localization settings (except the LANG setting)
4. do the same for ~/.config/plasma-locale-settings.sh 
5. return to the login screen (Ctrl-Alt-F1) and login.
Note: I've seen this failing :-(


Actual results:
Changing regional setting leads to the desktop to freeze.

Expected results:
Desktop does not freeze after changing regional settings

Additional info:
As I said this is a bad report. Not only because I have no idea what componant can be the culprit, but also I couldn't find any useful information in log files (.xsession-errors, journalctl, /var/log/Xorg.0.conf).

Btw. Is there a way I can disable/remove kactivitymanaged, so that I can better isolate this issue?
Comment 1 Martin Kho 2015-09-05 08:44:04 EDT
Hi,

This issue started happening after the big kf5-* update from Thursday, August 27.

HTH

Martin Kho
Comment 2 Martin Kho 2015-09-06 06:33:36 EDT
Hi,

Found the right component. It's - again - the digital clock who is to blame. e.g change Digital Clock Settings -> Use 24-hour Clock (default is with am/pm) to 24-hour w/o am/pm, logout/login and bingo. Btw. it makes plasmashell very unhappy cpu usage raises to 100%. Changing the setting back to it's default - edit in file plasma-org.kde.plasma.desktop-appletsrc variable use24hFormat= 2 -> 1- solves the issue.

HTH

Martin Kho
Comment 3 David H. Gutteridge 2016-01-08 21:36:07 EST
I've also encountered this issue recently, soon (but not immediately) after upgrading from kf5 5.17 to 5.18:

[67608.045320] kactivitymanage[2099]: segfault at 7f08b84ad7d0 ip 00007f08b84c3731 sp 00007fffefdc2c88 error 4 in libQt5Sql.so.5.5.1[7f08b84af000+3f000]

When it happens to me, it crashes my whole Plasma desktop and kicks me back to the GDM login screen.

I don't have any particular insights to add here. Apparently this has been reported a number of times upstream to KDE, but because no one's ever provided a backtrace, they've typically closed all the tickets (e.g. https://bugs.kde.org/show_bug.cgi?id=336079). Information elsewhere suggests that this is sometimes related to an interaction with data found under the user's .cache directory, and clearing that may resolve the issue. (One reference for this being https://bugs.launchpad.net/ubuntu/+source/kactivities-kf5/+bug/1450660.)
Comment 4 Fedora End Of Life 2016-11-24 07:27:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:35:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.